<div class="fields-wrap">
    <div class="back-arrow" (click)="goToBasicDetail()" *ngIf="!(cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM')"><i class="material-icons">keyboard_backspace</i><span>Go to Basic Details page</span></div>
    <form (keydown.enter)="$event.preventDefault();" [formGroup]="detailsFormGroup">
        <div class="page-wrap">
            <div class="group-header">
                <h4 class="group-title">Your Business Details</h4>
            </div>
            <div class="form-group">
                <div class="form-row">
                    <div class="form-col company-wrap" *ngIf="showCompanyFields">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsAndSpaceOnly placeholder="Entity Name*" formControlName="entityName" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('entityName').errors && detailsFormGroup.get('entityName').errors.required">Please enter Entity Name</mat-error>
                            <!-- <a href="javascript:void" class="retrive-btn" [class.disabled]="detailsFormGroup.get('entityName').errors || !detailsFormGroup.get('entityName').value" (click)="openCompanyPopup()">Retrive</a> -->
                            <!-- <p class="verify-flag" *ngIf="showCaptchaVerifyFlag">Verified</p> -->
                        </mat-form-field>
                        <div class="captcha-wrapper" *ngIf="captchaInfo.step != 0">
                            <a href="javascript:void(0);" (click)="closePopup()" class="close-popup"><i class="material-icons">close</i></a>
                            <mat-nav-list *ngIf="captchaInfo.step == 1">
                                <mat-list-item *ngFor="let item of captchaInfo.list">
                                    <a matLine (click)="selectCompanyName(item)">{{ item.companyName }}</a>
                                </mat-list-item>
                            </mat-nav-list>
                            <div class="captcha-field" *ngIf="captchaInfo.step == 2">
                                <mat-form-field class="errorWrap">
                                    <input  [errorStateMatcher]="formSubmittedMatcher" matInput placeholder="Enter Captcha" formControlName="captchaText" type="text" autocomplete="off">
                                </mat-form-field>
                                <a class="transparent-btn mat-stroked-button" class="captcha-btn" (click)="verifyCaptcha()">Submit</a>
                                <a class="refresh-captcha" (click)="refreshCaptcha()">Refresh</a>
                                <img *ngIf="captchaInfo.url" src="{{ captchaInfo.url }}" alt="Captcha Code" />
                                <app-loader *ngIf="captchaLoader" class="loading-icon captcha-loading" [type]="0"></app-loader>
                            </div>
                        </div>
                    </div>


                    <div class="form-col">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaWithSpaces maxlength="100" placeholder="Applicant Name*" formControlName="applicantName" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('applicantName').errors && detailsFormGroup.get('applicantName').errors.required">Please enter Applicant Name</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col daterange-picker">
                        <mat-form-field class="new-user-form-field date-label">
                            <input matInput [errorStateMatcher]="formSubmittedMatcher" placeholder="Applicant DOB(DD/MM/YYYY)*" [options]="myApplicantDob" class="date-input" ngx-mydatepicker formControlName="applicantDob" [defaultMonth]="getDOBDefaultMonth(21)" #ngxdbp="ngx-mydatepicker" date length="10"/>
                            <div class="calendar-btn-group">
                                <!-- <span (click)="ngxdbp.clearDate()"><i class="material-icons">clear</i></span> -->
                                <span (click)="ngxdbp.toggleCalendar()"><i class="material-icons">today</i></span>
                            </div>
                            <mat-error *ngIf="detailsFormGroup.get('applicantDob').errors && detailsFormGroup.get('applicantDob').errors.required && !detailsFormGroup.get('applicantDob').errors.invalidDateFormat">Please enter Applicant DOB</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('applicantDob').errors && detailsFormGroup.get('applicantDob').errors.invalidDateFormat">Please enter valid Applicant DOB</mat-error>
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                    Please enter your Date of Birth as per PAN Card
                                </span>
                            </div>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericOnly [upperOnly]="true" maxlength="10" placeholder="Applicant PAN*" formControlName="applicantPan" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('applicantPan').errors && detailsFormGroup.get('applicantPan').errors.pan && detailsFormGroup.get('applicantPan').errors.pan.required">Please enter Applicant PAN</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('applicantPan').errors && detailsFormGroup.get('applicantPan').errors.pan && detailsFormGroup.get('applicantPan').errors.pan.pattern">Please enter valid Applicant PAN</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('applicantPan').errors && detailsFormGroup.get('applicantPan').errors.pan && detailsFormGroup.get('applicantPan').errors.pan.incorrect">Please enter valid Applicant PAN</mat-error>
                            <p class="verify-flag white-txt" *ngIf="!detailsFormGroup.get('applicantPan').errors && panMessage">{{ panMessage }}</p>
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                    Your PAN details are secure with us. Your personal details are collected by us to cater to your loan requirements and we refrain from sharing it unless you have consented to the same.
                                </span>
                            </div>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Gender*" formControlName="gender" disableOptionCentering>
                                <mat-option>Select</mat-option>
                                <mat-option *ngFor="let item of constantsService.constants.gender" [value]="item.key">{{ item.value }}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="detailsFormGroup.get('gender').errors && detailsFormGroup.get('gender').errors.required">Please select Gender</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsOnly placeholder="Personal email id*" formControlName="email" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('email').errors && detailsFormGroup.get('email').errors.email && detailsFormGroup.get('email').errors.email.required">Please enter Email Id</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('email').errors && detailsFormGroup.get('email').errors.email && detailsFormGroup.get('email').errors.email.pattern">Please enter valid Email Id</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsAndSpaceOnly maxlength="100" placeholder="Address Line 01*" formControlName="addressLine01" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('addressLine01').errors && detailsFormGroup.get('addressLine01').errors.required">Please enter Address Line 01</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsAndSpaceOnly maxlength="100" placeholder="Address Line 02*" formControlName="addressLine02" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('addressLine02').errors && detailsFormGroup.get('addressLine02').errors.required">Please enter Address Line 02</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field class="new-user-form-field">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" placeholder="City*" formControlName="cityName" type="text" alphaOnly [upperOnly]="true" (focus)="cityShowTooltip()" (blur)="cityHideTooltip()" maxlength="255" matTooltipPosition="above" matTooltipClass="city-tooltip-red" >
                            <div *ngIf="showCitySelection" class="auto-select">
                                <ul>
                                    <li *ngFor="let option of cityList" (click)="selectPerCity(option)">
                                        {{option.value}}
                                    </li>
                                </ul>
                            </div>
                            <mat-error *ngIf="detailsFormGroup.get('cityName').errors && detailsFormGroup.get('cityName').errors.required">Please enter the city</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('cityName').errors && detailsFormGroup.get('cityName').errors.city && detailsFormGroup.get('cityName').errors.city.incorrect">{{ showCityServicableMsg }}</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('cityName').errors && detailsFormGroup.get('cityName').errors.city && detailsFormGroup.get('cityName').errors.city.incorrect">City is not Serviceable.</mat-error>
                            <!-- <mat-error *ngIf="detailsFormGroup.get('cityName').errors && detailsFormGroup.get('cityName').errors.maxlength">Company name can be 120 characters long.</mat-error> -->
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" numberOnly maxlength="6" cropZero="true" placeholder="Pincode*" formControlName="pinCode" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('pinCode').errors && detailsFormGroup.get('pinCode').errors.postalCode && detailsFormGroup.get('pinCode').errors.postalCode.required">Please enter Pincode</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('pinCode').errors && detailsFormGroup.get('pinCode').errors.postalCode && detailsFormGroup.get('pinCode').errors.postalCode.pattern">Please enter 6 digit valid Pincode</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(showDoctorFields || showCAFields)">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Last FY Turnover*" formControlName="lastFYTurnover" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('lastFYTurnover').errors && detailsFormGroup.get('lastFYTurnover').errors.required">Please enter Last FY Turnover</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('lastFYTurnover').errors && detailsFormGroup.get('lastFYTurnover').errors.min">Please enter atleast 6 digits Last FY Turnover</mat-error>
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                    Your last financial year turnover, as filed in ITR
                                </span>
                            </div>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(showDoctorFields || showCAFields)">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Last FY PAT*" formControlName="lastFYPAT" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('lastFYPAT').errors && detailsFormGroup.get('lastFYPAT').errors.pat && detailsFormGroup.get('lastFYPAT').errors.pat.required">Please enter Last FY PAT</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('lastFYPAT').errors && detailsFormGroup.get('lastFYPAT').errors.pat && detailsFormGroup.get('lastFYPAT').errors.pat.min">Please enter atleast 6 digits Last FY PAT</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('lastFYPAT').errors && detailsFormGroup.get('lastFYPAT').errors.pat && detailsFormGroup.get('lastFYPAT').errors.pat.more">Last FY PAT should not be greater than Last FY Turnover</mat-error>
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                    Your financial income as per the latest ITR
                                </span>
                            </div>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(showDoctorFields || showCAFields)">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Last FY Depreciation" formControlName="lastFYDepriciation" type="text" >
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                    Provide the decrease in the value of the assests.
                                </span>
                            </div>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(showDoctorFields || showCAFields)">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Industry Type*" formControlName="industryType" disableOptionCentering>
                                <mat-option>Select</mat-option>
                                <mat-option *ngFor="let item of constantsService.constants.industryType" [value]="item.key">{{ item.value }}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="detailsFormGroup.get('industryType').errors && detailsFormGroup.get('industryType').errors.required">Please select Industry Type</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Years in Business*" formControlName="yearsInBusiness" disableOptionCentering>
                                <mat-option>Select</mat-option>
                                <mat-option *ngFor="let item of constantsService.constants.yearsInBusiness" [value]="item.key">{{ item.value }}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="detailsFormGroup.get('yearsInBusiness').errors && detailsFormGroup.get('yearsInBusiness').errors.required">Please select Years in Business</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Resi/Office Ownership*" formControlName="resiOfficeOwnership" disableOptionCentering>
                                <mat-option>Select</mat-option>
                                <mat-option *ngFor="let item of constantsService.constants.resiOfficeOwnership" [value]="item.key">{{ item.value }}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="detailsFormGroup.get('resiOfficeOwnership').errors && detailsFormGroup.get('resiOfficeOwnership').errors.required">Please select Ownership</mat-error>
                        </mat-form-field>
                    </div>

                    <div class="form-col" *ngIf="!(showSoleProprietor || showCompanyFields)">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Last FY Gross Receipts*" formControlName="lastFYGross" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('lastFYGross').errors && detailsFormGroup.get('lastFYGross').errors.required">Please enter Last FY Gross Receipts</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('lastFYGross').errors && detailsFormGroup.get('lastFYGross').errors.min">Please enter atleast 6 digits Last FY Gross Receipts</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(showSoleProprietor || showCompanyFields)">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Last 2 FY Gross Receipts*" formControlName="last1FYGrossRcpt" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('last1FYGrossRcpt').errors && detailsFormGroup.get('last1FYGrossRcpt').errors.required">Please enter Last 2 FY Gross Receipts</mat-error>
                            <mat-error *ngIf="detailsFormGroup.get('last1FYGrossRcpt').errors && detailsFormGroup.get('last1FYGrossRcpt').errors.min">Please enter atleast 6 digits Last 2 FY Gross Receipts</mat-error>

                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(showSoleProprietor || showCompanyFields)">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Other Income*" formControlName="otherIncome" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('otherIncome').errors && detailsFormGroup.get('otherIncome').errors.required">Please enter Other Income</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(showSoleProprietor || showCompanyFields)">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="EMI's Paid*" formControlName="emiPaid" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('emiPaid').errors && detailsFormGroup.get('emiPaid').errors.required">Please enter EMI's Paid</mat-error>

                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(showSoleProprietor || showCompanyFields)">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" numberOnly length="6" placeholder="Registration Number (Optional)" formControlName="registrationNo" type="text" >
                            <mat-error *ngIf="detailsFormGroup.get('registrationNo').errors && detailsFormGroup.get('registrationNo').errors.required">Please enter Registration Number</mat-error>

                        </mat-form-field>
                    </div>
                    
                    <div class="form-col" *ngIf="showDoctorFields">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="State Medical Council (Optional)" formControlName="stateMedicalCouncil" disableOptionCentering>
                                <mat-option>Select</mat-option>
                                <mat-option *ngFor="let item of constantsService.constants.stateMedicalCouncil" [value]="item.key">{{ item.value }}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="detailsFormGroup.get('stateMedicalCouncil').errors && detailsFormGroup.get('stateMedicalCouncil').errors.required">Please select State Medical Council</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="showDoctorFields">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="College/University Name (Optional)" formControlName="universityName" disableOptionCentering>
                                <mat-option>Select</mat-option>
                                <mat-option *ngFor="let item of constantsService.constants.universityName" [value]="item.key">{{ item.value }}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="detailsFormGroup.get('universityName').errors && detailsFormGroup.get('universityName').errors.required">Please select College/University Name</mat-error>
                        </mat-form-field>
                    </div>
                </div>
            </div>
        
            <div class="applicant-wrap" formArrayName="coappDetailsList" *ngIf="showCoApplicantDetails">
                <h5 class="group-heading">Add Co-Applicant Details</h5>
                <div *ngFor="let applicantrow of detailsFormGroup.controls.coappDetailsList['controls']; let i = index;"
                [formGroupName]="i" class="applicant-subwrap">
                    <div class="subheading-wrap clearfix">
                        <span class="subheading">{{ i+1 }}. Co-Applicant</span>
                        <!-- <span class="delete-icon" (click)="deleteApplicant(i)"><i class="material-icons">delete</i></span> -->
                    </div>
                    <div  class="content-wrap form-row">
                        <div class="form-col">
                            <mat-form-field>
                                <input matInput autocomplete="off" alphaWithSpaces maxlength="100" placeholder="Applicant Name*" formControlName="coApplicantName" type="text" >
                                <mat-error *ngIf="applicantrow.get('coApplicantName').errors && applicantrow.get('coApplicantName').errors.required">Please enter Applicant Name</mat-error>
                            </mat-form-field>
                        </div>
                        <div class="form-col daterange-picker">
                            <mat-form-field class="new-user-form-field">
                                <input matInput placeholder="Applicant DOB(DD/MM/YYYY)*"  [options]="myCoApplicantDob" class="date-input" [defaultMonth]="getDOBDefaultMonth(20)" ngx-mydatepicker formControlName="coApplicantDob" [defaultMonth]="getDOBDefaultMonth(21)" #ngxdbpCo="ngx-mydatepicker"  date length="10"/>
                                <div class="calendar-btn-group">
                                    <!-- <span (click)="ngxdbp.clearDate()"><i class="material-icons">clear</i></span> -->
                                    <span (click)="ngxdbpCo.toggleCalendar()"><i class="material-icons">today</i></span>
                                </div>
                                <mat-error *ngIf="applicantrow.get('coApplicantDob').errors && applicantrow.get('coApplicantDob').errors.required && !applicantrow.get('coApplicantDob').errors.invalidDateFormat">Please select Applicant DOB</mat-error>
                                <mat-error *ngIf="applicantrow.get('coApplicantDob').errors && applicantrow.get('coApplicantDob').errors.invalidDateFormat">Please enter valid Applicant DOB</mat-error>
                                <div class="help-tool field-help-tool">
                                    <i class="material-icons">help_outline</i>
                                    <span class="help-tool-txt">
                                        Please enter your Date of birth as per PAN card
                                    </span>
                                </div>
                            </mat-form-field>
                        </div>
                        <div class="form-col">
                            <mat-form-field>
                                <input matInput autocomplete="off" alphaNumericOnly [upperOnly]="true" maxlength="10" placeholder="Applicant PAN*" formControlName="applicantPan" type="text" >
                                <mat-error *ngIf="applicantrow.get('applicantPan').errors && applicantrow.get('applicantPan').errors.pan && applicantrow.get('applicantPan').errors.pan.required">Please enter Applicant PAN</mat-error>
                                <mat-error *ngIf="applicantrow.get('applicantPan').errors && applicantrow.get('applicantPan').errors.pan && applicantrow.get('applicantPan').errors.pan.pattern">Please enter valid Applicant PAN</mat-error>
                                <mat-error *ngIf="applicantrow.get('applicantPan').errors && applicantrow.get('applicantPan').errors.pan && applicantrow.get('applicantPan').errors.pan.incorrect">Please enter valid Applicant PAN</mat-error>
                                <p class="verify-flag white-txt" *ngIf="applicantrow.get('panMessage').value">{{ applicantrow.get('panMessage').value }}</p>
                            </mat-form-field>
                        </div>

                        <div class="form-col">
                            <mat-form-field>
                                <mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Gender*" formControlName="gender" disableOptionCentering>
                                    <mat-option>Select</mat-option>
                                    <mat-option *ngFor="let item of constantsService.constants.gender" [value]="item.key">{{ item.value }}</mat-option>
                                </mat-select>
                                <mat-error *ngIf="applicantrow.get('gender').errors && applicantrow.get('gender').errors.required">Please select Gender</mat-error>
                            </mat-form-field>
                        </div>
                        <div class="form-col">
                            <mat-form-field>
                                <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" phone length="10" placeholder="Mobile Number*" formControlName="mobileNumber" type="text" >
                                <mat-error *ngIf="applicantrow.get('mobileNumber').errors && applicantrow.get('mobileNumber').errors.mobile && applicantrow.get('mobileNumber').errors.mobile.required">Please enter Mobile Number</mat-error>
                                <mat-error *ngIf="applicantrow.get('mobileNumber').errors && applicantrow.get('mobileNumber').errors.mobile && applicantrow.get('mobileNumber').errors.mobile.pattern">Please enter valid Mobile Number</mat-error>
                                <div class="help-tool field-help-tool">
                                    <i class="material-icons">help_outline</i>
                                    <span class="help-tool-txt">
                                        We do not spam you and your mobile number is not shared with any other party without your consent.
                                    </span>
                                </div>
                            </mat-form-field>
                        </div>
                        <div class="form-col">
                            <mat-form-field>
                                <input matInput autocomplete="off" alphaNumericWithSpecialsAndSpaceOnly maxlength="100" placeholder="Address Line 01*" formControlName="addressLine01" type="text" >
                                <mat-error *ngIf="applicantrow.get('addressLine01').errors && applicantrow.get('addressLine01').errors.required">Please enter Address Line 01</mat-error>
                            </mat-form-field>
                        </div>
                        <div class="form-col">
                            <mat-form-field>
                                <input matInput autocomplete="off" alphaNumericWithSpecialsAndSpaceOnly maxlength="100" placeholder="Address Line 02*" formControlName="addressLine02" type="text" >
                                <mat-error *ngIf="applicantrow.get('addressLine02').errors && applicantrow.get('addressLine02').errors.required">Please enter Address Line 02</mat-error>
                            </mat-form-field>
                        </div>
                        <div class="form-col">
                            <mat-form-field class="new-user-form-field">
                                <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" placeholder="City*" formControlName="cityName" type="text" alphaOnly [upperOnly]="true" (focus)="cityShowTooltip()" (blur)="cityHideTooltip()" maxlength="255" matTooltipPosition="above" matTooltipClass="city-tooltip-red" >
                                <div *ngIf="applicantrow.get('showCitySelection').value == true" class="auto-select">
                                    <ul>
                                        <li *ngFor="let option of cityList" (click)="selectCity(option, applicantrow , i)">
                                            {{option.value}}
                                        </li>
                                    </ul>
                                </div>
                                <mat-error *ngIf="applicantrow.get('cityName').errors && applicantrow.get('cityName').errors.required">Please enter the city</mat-error>
                                <mat-error *ngIf="applicantrow.get('cityName').errors && applicantrow.get('cityName').errors.city && applicantrow.get('cityName').errors.city.incorrect">{{ showCityServicableMsg }}</mat-error>
                                <mat-error *ngIf="applicantrow.get('cityName').errors && applicantrow.get('cityName').errors.city && applicantrow.get('cityName').errors.city.incorrect">City is not Serviceable.</mat-error>
                                <!-- <mat-error *ngIf="applicantrow.get('cityName').errors && applicantrow.get('cityName').errors.maxlength">Company name can be 120 characters long.</mat-error> -->
                            </mat-form-field>
                        </div>
                        <div class="form-col">
                            <mat-form-field>
                                <input matInput autocomplete="off" numberOnly maxlength="6" cropZero="true" placeholder="Pincode*" formControlName="pinCode" type="text" >
                                <mat-error *ngIf="applicantrow.get('pinCode').errors && applicantrow.get('pinCode').errors.postalCode && applicantrow.get('pinCode').errors.postalCode.required">Please enter Pin code</mat-error>
                                <mat-error *ngIf="applicantrow.get('pinCode').errors && applicantrow.get('pinCode').errors.postalCode && applicantrow.get('pinCode').errors.postalCode.pattern">Please enter 6 digit valid Pin code</mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                </div>
            </div>
        </div>
                
        <div class="btn-wrap clearfix">
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="exit()" [disableRipple]="true">Exit</button>
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="goBack()" [disableRipple]="true">Go Back</button>
            <button class="main-btn" mat-button type="submit" (click)="submit()" [disableRipple]="true">CONTINUE</button>
            <app-loader *ngIf="formSubmitted" type="3"></app-loader>
        </div>
    </form>
</div>



